petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSADAPTDSP

Adaptive controller for time-stepping based on digital signal processing (DSP)

References: http://dx.doi.org/10.1145/641876.641877 and http://dx.doi.org/10.1016/j.cam.2005.03.008

### Options Database

| -ts_adapt_dsp_filter <name> | - Sets predefined controller by name; use -help for a list of available controllers
| -ts_adapt_dsp_pid <kkI,kkP,kkD> | - Sets PID controller parameters
| -ts_adapt_dsp_kbeta <b1,b2,b2> | - Sets general filter parameters
| -ts_adapt_dsp_alpha <a2,a3> | - Sets general filter parameters

### See Also

TS, TSAdapt, TSGetAdapt(), TSAdaptDSPSetPID(), TSAdaptDSPSetFilter()

### Level

intermediate

### Location

src/ts/adapt/impls/dsp/adaptdsp.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages